Class | TkMenuClone
In: | tk/lib/tk/menu.rb
Parent: | TkMenu

### Methods

new

### Public Class methods

new(parent, type=None)

[Source]

    # File tk/lib/tk/menu.rb, line 355
      def initialize(parent, type=None)
        widgetname = nil
        if parent.kind_of? Hash
          keys = _symbolkey2str(parent)
          parent = keys.delete('parent')
          widgetname = keys.delete('widgetname')
          type = keys.delete('type'); type = None unless type
        end
        #unless parent.kind_of?(TkMenu)
        #  fail ArgumentError, "parent must be TkMenu"
        #end
        @parent = parent
        install_win(@parent.path, widgetname)
        tk_call_without_enc(@parent.path, 'clone', @path, type)
      end

[Validate]